Table of Contents

Class: Participant | Twisted-0.17.4/twisted/words/service.py
--- | ---

Base Classes |
--- | ---
pb.Perspective styles.Versioned

Methods |
--- | ---

__getstate__ __init__ __repr__ addContact attached changeStatus detached | directMessage getGroupMembers getGroupMetadata groupMessage joinGroup leaveGroup memberJoined | memberLeft notifyStatusChanged perspective_setGroupMetadata receiveDirectMessage receiveGroupMessage removeContact setGroupMetadata

| __getstate__

    __getstate__ ( self )

| __init__

    __init__ ( self,  name )

| __repr__

    __repr__ ( self )

| addContact

    addContact ( self,  contactName )

| attached

    attached (
            self,
            client,
            identity,
            )

Attach a client which implements WordsClientInterface to me.

| changeStatus

    changeStatus ( self,  newStatus )

| detached

    detached (
            self,
            client,
            identity,
            )

| directMessage

    directMessage (
            self,
            recipientName,
            message,
            metadata=None,
            )

| getGroupMembers

    getGroupMembers ( self,  groupName )

Exceptions |
--- | ---
NotInGroupError( groupName )

| getGroupMetadata

    getGroupMetadata ( self,  groupName )

| groupMessage

    groupMessage (
            self,
            groupName,
            message,
            metadata=None,
            )

Exceptions |
--- | ---
NotInGroupError( groupName )

| joinGroup

    joinGroup ( self,  name )

| leaveGroup

    leaveGroup ( self,  name )

Exceptions |
--- | ---
NotInGroupError( name )

| memberJoined

    memberJoined (
            self,
            member,
            group,
            )

| memberLeft

    memberLeft (
            self,
            member,
            group,
            )

| notifyStatusChanged

    notifyStatusChanged ( self,  contact )

| perspective_setGroupMetadata

    perspective_setGroupMetadata (
            self,
            dict_,
            groupName,
            )

| receiveDirectMessage

    receiveDirectMessage (
            self,
            sender,
            message,
            metadata,
            )

Exceptions |
--- | ---
WrongStatusError( self.status, self.name )

| receiveGroupMessage

    receiveGroupMessage (
            self,
            sender,
            group,
            message,
            metadata,
            )

| removeContact

    removeContact ( self,  contactName )

Exceptions |
--- | ---
NotInCollectionError("No such contact '%s'." %( contactName, ) )

| setGroupMetadata

    setGroupMetadata (
            self,
            dict_,
            groupName,
            )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:59 2002 by HappyDoc version 2.0